Show / Hide Table of Contents

# Class DataCacheTypeMismatchError

This exception is thrown when a data cache is accessed with the wrong type.

##### Inheritance

System.Object
System.Exception
IpcError
DataCacheTypeMismatchError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class DataCacheTypeMismatchError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### DataCacheTypeMismatchError(String, String, Type, Type)

Initializes a new instance of the DataCacheTypeMismatchError class.

##### Declaration

    public DataCacheTypeMismatchError(string tag, string creator, Type requestedType, Type actualType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | tag | Tag of the data cache.
System.String | creator | Assembly name of the plugin creating the cache.
System.Type | requestedType | The requested type.
System.Type | actualType | The stored type.

### Implements

System.Runtime.Serialization.ISerializable